#include <stdio.h>
#include <system.h>
#include <inttypes.h>

#include "../device_test.h"
#include "../test_crc.h"
#include "../../../software/signal_processing/system/binding.h"
#include "../../../software/signal_processing/system/task_crc.h"
#include "../../data/fft.h"
#include "../../data/crc.h"

int main() {
    device_test( test_task, BINDING_HW, & CRC_CONFIG, expected_fft, NULL, & expected_crc, 0.0 );
    return 0;
}

